/*
  MENU v 1.1;
  05/2023;
  João Diogo Pereira;
*/

.site-header {
    background-color: var(--primaryColor);
    z-index: 99;
    box-shadow: 0px -5px 10px 0px #00000015;
}

.site-header .logo-header {
    background-color: transparent;
    height: 100%;
}

.site-header .logo-header img {
    max-width: 170px;
    width: 100%;
    height: 100%;
    object-fit: scale-down;
    z-index: 99;
    position: relative;
}

.main-menu .navbar-collapse {
    padding: 0px;
}

.main-menu .navigation {
    padding: 0;
    margin: 0;
}

.main-menu .navigation li>a {
    font-size: 16px;
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: normal;
    text-decoration: none;
    color: var(--secondaryTextColor);
    font-family: var(--secondaryTextFont);
    display: flex;
    align-items: center;
    /* justify-content: center; */
    /* height: auto; */
    padding: 0 .5rem;
    transition: all .3s ease-in-out;
}

@media only screen and (max-width:1199px) {
    .main-menu .navigation li>a {
        font-size: 13px;
    }
}

.main-menu .navigation li.navigation-lvl1>a {
    height: 100%;
}

.main-menu .navigation li>a svg {
    width: 24px;
    height: 24px;
    transform: scaleY(1);
    fill: var(--secondaryTextColor);
    transition: all .3s ease-in-out;
}

.main-menu .navigation li:hover>a svg {
    fill: var(--terciaryColor);
    transform: scaleY(-1);
}


.main-menu .navigation li>a span {
    position: relative;
    display: block;
}

.main-menu .navigation li>a>span:first-of-type::after {
    content: '';
    width: 100%;
    height: 2px;
    top: 100%;
    left: 0;
    position: absolute;
    background-color: var(--secondaryColor);
    transform: scaleX(0);
    opacity: 0;
    transform-origin: left center;
    display: block;
    transition: all .3s ease-in-out;
}


.main-menu .navigation li:hover>a>span:first-of-type::after,
.main-menu .navigation li.current-menu-item>a>span:first-of-type::after {
    transform: scaleX(1);
    opacity: 1;
}

.socials {
    z-index: 1;
}

.socials a,
.socials__menu a {
    display: inline-block;
    padding: 0 .25rem;
}

.socials a svg {
    fill: var(--secondaryTextColor);
    width: 24px;
    height: 24px;
    transition: all .3s ease-in-out;
}

.socials a:hover svg {
    fill: var(--secondaryColor);
}

.socials__menu a svg {
    fill: var(--primaryColor);
    width: 16px;
    height: 16px;
    line-height: 1;
    transition: all .3s ease-in-out;
}

.socials__menu a:hover svg{
    fill:var(--terciaryColor);
}

@media only screen and (max-width:991px){
 .socials__menu a svg{
    width:20px;
    height: 20px;
 }
}


/* Sub Menu */
.main-menu .navigation>li:hover .cat-submenu--lvl2 {
    opacity: 1;
    transform: scaleY(1);
}

.cat-submenu {
    padding: 0;
}

#yith-wcwl-popup-message {
    display: none !important;
}

.main-menu .navigation .cat-submenu--lvl2 {
    position: absolute;
    top: 99%;
    left: 0;
    /* padding: .5rem; */
    /* right: 0; */
    height: fit-content;
    max-height: calc(100vh - 100px);
    max-height: calc(100svh - 100px);
    opacity: 0;
    transform: scaleY(0);
    transform-origin: top center;
    transition: all .3s ease-in-out;
    background-color: var(--primaryColor);
    min-width: 100%;
    width: fit-content;
    white-space: nowrap;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
    box-shadow: 0px 3px 5px 0px #00000010;
}

.cat-navigation-lvl2>a {
    /* margin-bottom: .5rem; */
    text-align: left;
    padding: 0 !important;
}

.main-menu .navigation .cat-submenu--lvl3 {
    position: absolute;
    top: 0;
    left: 100%;
    /* padding: .5rem; */
    /* right: 0; */
    height: fit-content;
    max-height: calc(100vh - 100px);
    max-height: calc(100svh - 100px);
    opacity: 0;
    transform: scale(0);
    transform-origin: top left;
    transition: all .3s ease-in-out;
    background-color: var(--primaryColor);
    min-width: 100%;
    width: fit-content;
    white-space: nowrap;
    border-bottom-right-radius: 8px;
    box-shadow: 0px 3px 5px 0px #00000010;
}

.main-menu .navigation .cat-submenu--lvl4 {
    position: absolute;
    top: 0;
    left: 100%;
    /* padding: .5rem; */
    /* right: 0; */
    height: fit-content;
    max-height: calc(100vh - 100px);
    max-height: calc(100svh - 100px);
    opacity: 0;
    transform: scale(0);
    transform-origin: top left;
    transition: all .3s ease-in-out;
    background-color: var(--primaryColor);
    min-width: 100%;
    width: fit-content;
    white-space: nowrap;
    border-bottom-right-radius: 8px;
    box-shadow: 0px 3px 5px 0px #00000010;
}

.main-menu .navigation .cat-submenu--lvl2>li:hover>.cat-submenu--lvl3 {
    opacity: 1;
    transform: scale(1);
}

.main-menu .navigation .cat-submenu--lvl3>li:hover>.cat-submenu--lvl4 {
    opacity: 1;
    transform: scale(1);
}

.cat-navigation-lvl4>a {
    text-align: left;
    padding: 0 !important;
}

.cat-navigation-lvl3>a {
    /* margin-bottom: .5rem; */
    text-align: left;
    padding: 0 !important;
}

/*MOBILE*/

.menu-mobile {
    display: none;
}

#sidebarMenu {
    height: 100%;
    position: fixed;
    right: 0;
    width: 300px;
    transform: translateX(300px);
    transition: transform 300ms ease-in-out;
    background: var(--primaryColor);
    top: 0;
    overflow: auto;
    display: unset !important;
}

.sidebarMenuInner li .cat-arrow svg {
    width: 24px;
    height: 24px;
    transform: scaleY(1);
    fill: var(--secondaryTextColor);
    transition: all .3s ease-in-out;
}

.sidebarMenuInner li.current-menu-item .cat-arrow svg,
.sidebarMenuInner li.cat-current-menu-item .cat-arrow svg {
    fill: var(--primaryColor);
}


.sidebarMenuInner li:not(.cat-navigation-lvl1) .cat-arrow svg {
    fill: var(--primaryTextColor);
}

.sidebarMenuInner li:hover>a .cat-arrow svg {
    fill: var(--primaryTextColor);
    transform: scaleY(-1);
}


#sidebarMenu.right {
    left: 0;
    transform: translate(-300px);
    direction: rtl;
}

#sidebarMenu.right>ul {
    direction: ltr;
}

.sidebarMenuInner {
    margin: 0;
    padding: 0;
    padding-top: 129px !important;
}

.sidebarMenuInner li {
    list-style: none;
    color: #fff;
    /* text-transform: uppercase; */
    font-weight: 500;
    padding: 16px;
    cursor: pointer;
    border-bottom: 1px solid rgba(255, 255, 255, 0.10);
    transition: all .3s ease-in-out;
}

.sidebarMenuInner a {
    color: var(--secondaryTextColor);
    text-decoration: none;
}

.sidebarMenuInner li.current-menu-item a,
.sidebarMenuInner li:hover a {
    color: var(--primaryColor);
}

.sidebarMenuInner li:hover,
.sidebarMenuInner li.current-menu-item {
    background-color: var(--secondaryColor);
}

input.openSidebarMenu[type="checkbox"]:checked~#sidebarMenu {
    transform: translateX(0);
}

input.openSidebarMenu[type=checkbox] {
    transition: all 0.3s;
    box-sizing: border-box;
    display: none;
}

.sidebarIconToggle {
    transition: all 0.3s;
    box-sizing: border-box;
    cursor: pointer;
    position: relative;
    z-index: 99;
    height: 15px;
    width: 22px;
}

.spinner {
    transition: all 0.3s;
    box-sizing: border-box;
    position: absolute;
    height: 3px;
    width: 100%;
    background-color: var(--secondaryTextColor);
}

.horizontal {
    transition: all 0.3s;
    box-sizing: border-box;
    position: relative;
    float: left;
    margin-top: 3px;
}

.diagonal.part-1 {
    position: relative;
    transition: all 0.3s;
    box-sizing: border-box;
    float: left;
}

.diagonal.part-2 {
    transition: all 0.3s;
    box-sizing: border-box;
    position: relative;
    float: left;
    margin-top: 3px;
}

input[type=checkbox]:checked~.sidebarIconToggle>.horizontal {
    transition: all 0.3s;
    box-sizing: border-box;
    opacity: 0;
}

input[type=checkbox]:checked~.sidebarIconToggle>.diagonal.part-1 {
    transition: all 0.3s;
    box-sizing: border-box;
    transform: rotate(135deg);
    margin-top: 8px;
}

input[type=checkbox]:checked~.sidebarIconToggle>.diagonal.part-2 {
    transition: all 0.3s;
    box-sizing: border-box;
    transform: rotate(-135deg);
    margin-top: -9px;
}


@media only screen and (max-width: 992px) {
    .menu-mobile {
        display: block;
    }
}